# Interface LayerTimeInfoJson

Time info if the layer/table supports querying and exporting maps based on time. See https://developers.arcgis.com/web-map-specification/objects/layerTimeInfo/.

interface LayerTimeInfoJson {
endTimeField?: string;
exportOptions?: TimeInfoExportOptionsJson;
hasLiveData?: boolean;
startTimeField?: string;
timeExtent?: [number, number];
timeInterval?: number;
timeIntervalUnits?: TemporalUnitJsonType;
timeReference?: {
respectsDaylightSaving: boolean;
timeZone?: string;
};
trackIdField: string;
}

#####
Index

### Properties

endTimeField?
exportOptions?
hasLiveData?
startTimeField?
timeExtent?
timeInterval?
timeIntervalUnits?
timeReference?
trackIdField

##
Properties

### `Optional` endTimeField

endTimeField?: string

The name of the attribute field that contains the end time information.

### `Optional` exportOptions

exportOptions?: TimeInfoExportOptionsJson

The default time-related export options for this layer.

### `Optional` hasLiveData

hasLiveData?: boolean

Indicates whether service has live data.

### `Optional` startTimeField

startTimeField?: string

The name of the attribute field that contains the start time information.

### `Optional` timeExtent

timeExtent?: [number, number]

The time extent for all the data in the layer.

### `Optional` timeInterval

timeInterval?: number

Time interval of the data in the layer. Typically used for the TimeSlider when animating the layer.

### `Optional` timeIntervalUnits

timeIntervalUnits?: TemporalUnitJsonType

Temporal unit in which the time interval is measured.

### `Optional` timeReference

timeReference?: {
respectsDaylightSaving: boolean;
timeZone?: string;
}

Defines information about daylight savings time and the time zone in which data was collected. See https://developers.arcgis.com/web-map-specification/objects/timeReference/.

#### Type declaration

- ##### respectsDaylightSaving: boolean

  Indicates whether the time reference takes into account daylight savings time.

- ##### `Optional` timeZone?: string

  The time zone in which the data was captured.

### trackIdField

trackIdField: string

The field that contains the trackId.